/*
* Copyright(c) 2017 Daneil Knuettel
*/

/* This program is free software.
* Anyways if you think this program is worth it
* and we meet shout a drink for me.
*/


/*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU Affero General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU Affero General Public License for more details.
*
*    You should have received a copy of the GNU Affero General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
*    Dieses Programm ist Freie Software: Sie können es unter den Bedingungen
*    der GNU Affero General Public License, wie von der Free Software Foundation,
*    Version 3 der Lizenz oder (nach Ihrer Wahl) jeder neueren
*    veröffentlichten Version, weiterverbreiten und/oder modifizieren.
*
*    Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber
*    OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
*    Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
*    Siehe die GNU Affero General Public License für weitere Details.
*
*    Sie sollten eine Kopie der GNU Affero General Public License zusammen mit diesem
*    Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
*/


#ifndef __conf__h_
#define __conf__h_

/*
<doc>
This file contains all configuration makros
used by the game. The default makros are:

::

	#define WIDTH 50
	#define LINES 20
	
	
	#define KEY_DEFAULT '_'
	#define KEY_RIGHT 'd'
	#define KEY_LEFT 'a'
	#define KEY_EXIT 'q'
	#define CHAR_ME '#'
	#define CHAR_ENEMY '*'
	#define ESCAPE_RED "\033[31m"
	#define ESCAPE_GREEN "\033[32m"
	#define ESCAPE_RESET "\033[0m"
	
	#define CHRS_TO_CLEAR_ESCAPE 7

They should not be set using the compiler's command line options.


</doc>
 */


#define WIDTH 50
#define LINES 20


#define KEY_DEFAULT '_'
#define KEY_RIGHT 'd'
#define KEY_LEFT 'a'
#define KEY_EXIT 'q'
#define CHAR_ME '#'
#define CHAR_ENEMY '*'
#define ESCAPE_RED "\033[31m"
#define ESCAPE_GREEN "\033[32m"
#define ESCAPE_RESET "\033[0m"

#define CHRS_TO_CLEAR_ESCAPE 7

#endif
